OGRE: Ogre::Volume::ChunkHandler Class Reference

| OGRE 2.2.4 Object-Oriented Graphics Rendering Engine

Public Member Functions | List of all members
Ogre::Volume::ChunkHandler Class Reference

Handles the WorkQueue management of the chunks. More...

`#include <OgreVolumeChunkHandler.h>`

Inheritance diagram for Ogre::Volume::ChunkHandler:
[legend]

## Public Member Functions
| ChunkHandler (void)
| Constructor. More...
virtual | ~ChunkHandler (void)
| Destructor. More...
void | addRequest (const ChunkRequest &req)
| Adds a new ChunkRequest to be loaded to the WorkQueue. More...
virtual bool | canHandleRequest (const Request *req, const WorkQueue *srcQ)
| Return whether this handler can process a given request. More...
virtual bool | canHandleResponse (const Response *res, const WorkQueue *srcQ)
| Return whether this handler can process a given response. More...
WorkQueue::Response * | handleRequest (const WorkQueue::Request *req, const WorkQueue *srcQ)
| Implementation for WorkQueue::RequestHandler. More...
void | handleResponse (const WorkQueue::Response *res, const WorkQueue *srcQ)
| Implementation for WorkQueue::ResponseHandler. More...
void | processWorkQueue (void)
| Calls the process-update of the WorkQueue so it doesn't block. More...

## Detailed Description

Handles the WorkQueue management of the chunks.

## Constructor & Destructor Documentation

## ◆ ChunkHandler()

Ogre::Volume::ChunkHandler::ChunkHandler | ( | void |  | ) |

Constructor.

## ◆ ~ChunkHandler()

virtual Ogre::Volume::ChunkHandler::~ChunkHandler | ( | void |  | ) |
| virtual

Destructor.

## Member Function Documentation

## ◆ addRequest()

void Ogre::Volume::ChunkHandler::addRequest | ( | const ChunkRequest & | req | ) |

Adds a new ChunkRequest to be loaded to the WorkQueue.

Parameters

  req | The ChunkRequest.

## ◆ canHandleRequest()

virtual bool Ogre::WorkQueue::RequestHandler::canHandleRequest | ( | const Request * | req,
|  | const WorkQueue * | srcQ
| ) |  |
| inlinevirtualinherited

Return whether this handler can process a given request.

Remarks
  Defaults to true, but if you wish to add several handlers each of which deal with different types of request, you can override this method.

Reimplemented in Ogre::ResourceBackgroundQueue, Ogre::TerrainLodManager, Ogre::TerrainGroup, Ogre::Terrain, and Ogre::Page.

References Ogre::WorkQueue::Request::getAborted().

## ◆ canHandleResponse()

virtual bool Ogre::WorkQueue::ResponseHandler::canHandleResponse | ( | const Response * | res,
|  | const WorkQueue * | srcQ
| ) |  |
| inlinevirtualinherited

Return whether this handler can process a given response.

Remarks
  Defaults to true, but if you wish to add several handlers each of which deal with different types of response, you can override this method.

Reimplemented in Ogre::ResourceBackgroundQueue, Ogre::TerrainLodManager, Ogre::TerrainGroup, Ogre::Terrain, and Ogre::Page.

References Ogre::WorkQueue::Request::getAborted(), and Ogre::WorkQueue::Response::getRequest().

## ◆ handleRequest()

WorkQueue::Response* Ogre::Volume::ChunkHandler::handleRequest | ( | const WorkQueue::Request * | req,
|  | const WorkQueue * | srcQ
| ) |  |
| virtual

Implementation for WorkQueue::RequestHandler.

Implements Ogre::WorkQueue::RequestHandler.

## ◆ handleResponse()

void Ogre::Volume::ChunkHandler::handleResponse | ( | const WorkQueue::Response * | res,
|  | const WorkQueue * | srcQ
| ) |  |
| virtual

Implementation for WorkQueue::ResponseHandler.

Implements Ogre::WorkQueue::ResponseHandler.

## ◆ processWorkQueue()

void Ogre::Volume::ChunkHandler::processWorkQueue | ( | void |  | ) |

Calls the process-update of the WorkQueue so it doesn't block.

The documentation for this class was generated from the following file:

- OgreVolumeChunkHandler.h